Bug 484625 - Disabled direct rendering with R300
Disabled direct rendering with R300
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 22:18 EST by David Andersson
Modified: 2018-04-11 06:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-06 08:57:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (41.51 KB, text/plain)
2009-02-08 22:18 EST, David Andersson
no flags Details
Dmesg output (33.73 KB, text/plain)
2009-02-08 22:45 EST, David Andersson
no flags Details

  None (edit)
Description David Andersson 2009-02-08 22:18:07 EST
Created attachment 331272 [details]
Xorg.0.log

Description of problem:
Direct rendering is disabled (se Xorg.0.log)

Version-Release number of selected component (if applicable):
Clean F10 updated to rawhide as of today (with xorg, mesa and kernel packages from koji)

How reproducible:
Every boot, tested with several recent kernels mesa and xorg-server packages

Steps to Reproduce:
1. Boot system
2. No direct rendering
3.
  
Actual results:
No accelerated 3d rendering

Expected results:
Accelerated 3d rendering

Additional info:
uname -a
Linux timshel 2.6.29-0.85.rc3.git7.fc11.i686 #1 SMP Thu Feb 5 16:29:10 EST 2009 i686 i686 i386 GNU/Linux

lspci
00:00.0 Host bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE DRAM Controller/Host-Hub Interface (rev 02)
00:01.0 PCI bridge: Intel Corporation 82845G/GL[Brookdale-G]/GE/PE Host-to-AGP Bridge (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 82)
00:1f.0 ISA bridge: Intel Corporation 82801DB/DBL (ICH4/ICH4-L) LPC Interface Bridge (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801DB (ICH4) IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus Controller (rev 02)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 02)
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R300 ND [Radeon 9700 Pro]
01:00.1 Display controller: ATI Technologies Inc Radeon R300 [Radeon 9700 Pro] (Secondary)
02:05.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5702X Gigabit Ethernet (rev 02)
02:0e.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture (rev 11)
02:0e.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)

export LIBGL_DEBUG=verbose
[david@timshel]$ glxgears 
libGL error: XF86DRIQueryDirectRenderingCapable returned false
libGL: OpenDriver: trying /usr/lib/dri/swrast_dri.so
Comment 1 David Andersson 2009-02-08 22:45:16 EST
Created attachment 331275 [details]
Dmesg output
Comment 2 Bug Zapper 2009-06-09 07:09:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jérôme Glisse 2009-10-14 07:49:48 EDT
Does it works with final Fedora 11 ? If it doesn't, can you try fedora 12 livecd see if you got the issue there too.
Comment 4 Matěj Cepl 2009-11-05 13:21:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 David Andersson 2009-11-05 16:52:49 EST
This issue no longer exist with current f12 beta + updates. Don't know about f11
Comment 6 Jérôme Glisse 2009-11-06 08:57:23 EST
Ok so closing the bug.

Note You need to log in before you can comment on or make changes to this bug.